import { StyleSheet } from "react-native";
import { commonStyles } from "../../styles/commonStyle";
import {
  appColors,
  appFonts,
  fontSizes,
  windowHeight,
  windowWidth,
} from "@src/themes";
import { external } from "../../styles/externalStyle";

const styles = StyleSheet.create({
  container: {
    width: windowHeight(30),
    height: windowHeight(30),
    backgroundColor: appColors.whiteColor,
    borderColor: appColors.primaryGray,
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(5),
    ...commonStyles.shadowContainer,
  },
  dateTimeView: {
    paddingHorizontal: windowHeight(12),
    paddingBottom: windowHeight(14.5),
  },
  locateOnMapView: {
    justifyContent: "space-between",
    marginBottom: windowWidth(5),
  },
  viewContainer: {
    backgroundColor: appColors.whiteColor,
    flex: 1,
    paddingTop: windowHeight(20),
  },
  horizontalView: {
    paddingHorizontal: windowHeight(10),
    marginTop: windowHeight(15),
    marginHorizontal: windowWidth(18),
    paddingTop: windowHeight(15),
    borderRadius: windowWidth(25),
    borderWidth: windowHeight(0.42),
    borderColor: appColors.go,
  },
  subtitleText: {
    ...commonStyles.regularText,
    fontWeight: "300",
    fontSize: fontSizes.FONT16,
    color: appColors.regularText,
  },
  titleText: {
    ...commonStyles.mediumText23,
    fontSize: fontSizes.FONT19,
    width: windowWidth(340),
  },
  titleTextDetail: {
    fontSize: fontSizes.FONT18,
    width: windowWidth(340),
    color: appColors.gray,
    fontFamily: appFonts.regular,
  },
  iconView: {
    width: windowHeight(27),
    height: windowHeight(27),
    backgroundColor: appColors.lightGray,
    borderRadius: windowHeight(27),
    marginHorizontal: windowHeight(5),
    alignItems: "center",
    justifyContent: "center",
  },
  mapView: {
    backgroundColor: appColors.whiteColor,
    borderRadius: windowHeight(15),
    marginVertical: windowHeight(17),
    paddingVertical: windowHeight(10),
    borderWidth: windowHeight(0.42),
    borderColor: appColors.go,
    marginTop: windowHeight(10),
  },
  recentView: {
    backgroundColor: appColors.lightGray,
    paddingHorizontal: windowHeight(16),
    paddingTop: windowHeight(16),
  },
  viewStyle: {
    backgroundColor: appColors.lightGray,
    borderRadius: windowHeight(6),
    flexDirection: "row",
    alignItems: "center",
    paddingHorizontal: windowHeight(8),
    elevation: 2,
    borderWidth: windowHeight(1),
    borderColor: appColors.lightGray,
  },
  chooseAnotherAccount: {
    ...commonStyles.mediumTextBlack12,
    ...external.mh_5,
    fontSize: fontSizes.FONT19,
    color: appColors.primary,
  },
  spaceing: {
    marginHorizontal: windowWidth(8),
    width: windowWidth(340),
  },
  modalOverlay: {
    flex: 1,
    justifyContent: "center",
    alignItems: "center",
    backgroundColor: appColors.modelBg,
  },
  modalContainer: {
    width: 300,
    padding: windowHeight(18),
    backgroundColor: appColors.whiteColor,
    borderRadius: windowHeight(8.9),
    alignItems: "center",
  },
  modalText: {
    marginBottom: windowHeight(18.5),
    textAlign: "center",
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
  },
  pickBtn: {
    height: windowHeight(40),
    width: "100%",
    borderRadius: windowHeight(25),
    marginVertical: windowHeight(14),
    alignItems: "center",
    justifyContent: "center",
  },
  saveText: {
    color: appColors.whiteColor,
    fontFamily: appFonts.medium,
    marginHorizontal: windowWidth(5),
  },
  saveBtn: {
    height: windowHeight(43),
    backgroundColor: appColors.primary,
    width: "49%",
    borderRadius: windowHeight(5.6),
    marginVertical: windowHeight(14),
    alignItems: "center",
    justifyContent: "center",
  },
  addressBtn: {
    marginHorizontal: windowHeight(11),
    marginVertical: windowHeight(4.8),
    width: "100%",
  },
  addressView: {
    backgroundColor: appColors.lightGray,
    height: windowHeight(30),
    width: windowHeight(30),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(40),
  },
  noDataText: {
    height: windowHeight(45),
    textAlign: "center",
    fontSize: fontSizes.FONT19,
    top: windowHeight(15),
    fontFamily: appFonts.regular,
    justifyContent: "center",
    alignItems: "center",
    alignSelf: "center",
  },
  historyBtn: {
    backgroundColor: appColors.lightGray,
    height: windowHeight(30),
    width: windowHeight(30),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(40),
  },
  locationText: {
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
    marginHorizontal: windowWidth(5),
    fontSize: fontSizes.FONT19,
  },
  locationText1: {
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
    marginHorizontal: windowWidth(10),
    width: "79%",
    textAlign: "left",
  },
  bottomLine: {
    borderBottomWidth: windowHeight(0.9),
    borderBottomColor: appColors.lightGray,
    marginVertical: windowHeight(3),
  },

  inputContainer: {
    alignItems: "center",
    position: "relative",
  },
  iconContainer: {
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(40),
    width: windowHeight(40),
    height: windowHeight(40),
    borderColor: appColors.lightGray,
    backgroundColor: appColors.whiteColor,
  },
  numberContainer: {
    width: windowWidth(27),
    height: windowHeight(19),
    borderRadius: windowWidth(20),
    backgroundColor: appColors.blackColor,
    alignItems: "center",
    justifyContent: "center",
  },
  numberText: {
    color: appColors.whiteColor,
    textAlign: "center",
    fontSize: fontSizes.FONT16,
  },
  inputWithIcons: {
    flex: 1,
    position: "relative",
  },
  input: {
    height: windowHeight(36),
    borderColor: appColors.border,
    flex: 1,
    paddingTop: windowHeight(7),
    fontFamily: appFonts.medium,
    marginHorizontal: windowWidth(10),
    fontSize: fontSizes.FONT19,
  },
  iconSpacing: {
    borderLeftWidth: windowHeight(0.9),
    borderColor: appColors.border,
    height: windowHeight(22),
    marginHorizontal: windowWidth(8),
  },
  addButton: {
    position: "absolute",
    right: 10,
    top: "40%",
    transform: [{ translateY: -10 }],
  },
  line: {
    position: "absolute",
    left: 12,
    top: "50%",
    width: 1,
    height: "100%",
    zIndex: -1,
    borderRightWidth: windowHeight(0.9),
    borderStyle: "dashed",
  },
  line2: {
    position: "absolute",
    left: 12,
    top: 20,
    width: 1,
    height: 42,
    zIndex: -1,
    borderRightWidth: windowHeight(0.9),
    borderStyle: "dashed",
  },
  containerField: {
    flex: 1,
    borderWidth: windowHeight(1),
    paddingHorizontal: windowWidth(20),
    paddingTop: windowHeight(5),
    justifyContent: "flex-end",
    borderRadius: windowWidth(8),
    borderColor: appColors.border,
  },
  containerSearch: {
    flex: 1,
  },
  icon: {
    width: windowHeight(38),
    height: windowHeight(38),
    backgroundColor: appColors.whiteColor,
    borderWidth: windowHeight(1),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(38),
  },
  line1: {
    width: "110%",
    height: windowHeight(5),
    backgroundColor: appColors.lightGray,
    alignSelf: "center",
    marginTop: windowHeight(12),
  },
});
export { styles };
